Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Payment
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Payment

CreatePayments

POST
/orgs/{organizationId}/payments
Endpoints for organization management operations

Request

Authorization
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢202Accepted
application/json
Accepted
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
🟠429Too Many Requests
🔴500Internal Server Error
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/orgs//payments' \
--header 'Content-Type: application/json' \
--data-raw '{
    "payments": [
        {
            "invoiceId": "4f163819-178d-470c-a246-d6768476a6ec",
            "type": "DIRECT_PAYMENT",
            "amount": 0,
            "currency": "string",
            "paymentDate": "2019-08-24T14:15:22.123Z",
            "description": "string",
            "uniqueSourcePaymentId": "string"
        }
    ]
}'
Response Response Example
202 - Example 1
{
    "summary": {
        "status": "SUCCESS"
    },
    "data": {
        "batchId": "ae257e86-dc53-4865-9c97-5b125a3a5ac2",
        "batchUrl": "https://api.amili.no/collection/v1/batches/ae257e86-dc53-4865-9c97-5b125a3a5ac2"
    }
}
Modified at 2026-04-20 10:17:34
Previous
GetInvoiceById
Next
GetSettlements
Built with